org.eclnt.jsfserver.elements.events

## Class BaseActionEventDrop

- java.lang.Object
- - ActionEvent
  - - org.eclnt.jsfserver.elements.BaseActionEvent
    - - org.eclnt.jsfserver.elements.events.BaseActionEventDrop

- All Implemented Interfaces:
    java.io.Serializable, IBaseActionEvent
  Direct Known Subclasses:
    BaseActionEventDropCopy

      public class BaseActionEventDrop
      extends BaseActionEvent

  The event on the one hand provides the data about what was dropped - by calling method `getDragInfo()` you receive the matching string between the DRAGSEND information of the sending component and the DROPRECEIVE information of the receiving component.
  In addition the coordinates of the drop event are passed - both as integer percentage value, as float percentage value and as pixel value. The pixel information contains both the position of the mouse pointer and the delta between the mouse pointer and the shape that was dragged/dropped.
  There are a couple of helper methods that transfer the pixel position into a zone definition - is encoding the zone in the DROPRECEIVE information.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.eclnt.jsfserver.elements.IBaseActionEvent

      `EVTYPE_ACTIVEX_PARAMS, EVTYPE_AREAFOCUSGAINED, EVTYPE_CAMERASNAP, EVTYPE_CCFEDITTRANSFER, EVTYPE_CHARTCLICK, EVTYPE_CHARTDOMAINZOOM, EVTYPE_CHARTJSPOINTSELECTION, EVTYPE_CHARTMOUSECLICK, EVTYPE_CLIENTDATAGRAMRECEIVE, EVTYPE_CLIENTFILEPOLL, EVTYPE_CLIENTFILEREMOVALMESSAGE, EVTYPE_CLIENTFOCUSCHANGE, EVTYPE_CLIENTHTTPRECEIVE, EVTYPE_CLIENTHTTPSEND, EVTYPE_CLIENTJSCALLRESULT, EVTYPE_CLIENTMETHODRECEIVE, EVTYPE_CLIENTSERIALRECEIVE, EVTYPE_CLIENTSOCKETRECEIVE, EVTYPE_CLIENTSUBDEVICE, EVTYPE_CLIENTUSBFILEREADER, EVTYPE_CLIPBOARD_GET, EVTYPE_COMBOBOX_LOADONDEMAND, EVTYPE_COMBOFIELD_VALUEHELP, EVTYPE_DETAILINVOKE, EVTYPE_DRAGSTARTED, EVTYPE_DROP, EVTYPE_DROPCOPY, EVTYPE_FILECREATEDIRECTORY, EVTYPE_FILEDOWNLOAD_FINISHED, EVTYPE_FILEUPLOAD_UPLOAD, EVTYPE_FILEUPLOAD_UPLOADASYNCHRONOUSFINISEHD, EVTYPE_FIXGRID_COLUMNUPDATE, EVTYPE_FIXGRID_FIRSTLINEUP, EVTYPE_FIXGRID_LASTLINEDOWN, EVTYPE_FIXGRID_ROWCONTROLSELECT, EVTYPE_FIXGRID_ROWEXECUTE, EVTYPE_FIXGRID_ROWMOVE, EVTYPE_FIXGRID_ROWSELECT, EVTYPE_FIXGRID_ROWSHIFTSELECT, EVTYPE_FIXGRID_SCROLL, EVTYPE_FIXGRID_SCROLLANDREFOCUS, EVTYPE_FIXGRID_SEARCH, EVTYPE_FIXGRID_SELECTALL, EVTYPE_FIXGRID_SELECTORTITLEICON, EVTYPE_FIXGRID_SORT, EVTYPE_FIXGRID_SYNC, EVTYPE_FLUSH, EVTYPE_FOCUSGAINED, EVTYPE_FOCUSLOST, EVTYPE_FXCHARTSELECTION, EVTYPE_GEOLOCATIONUPDATE, EVTYPE_HELP, EVTYPE_IFRAMEINCLUDECALLBACK, EVTYPE_IMAGEMAPAREASELECTED, EVTYPE_INVOKE, EVTYPE_KEYSEQUENCE, EVTYPE_LINK, EVTYPE_LONGCLICKEND, EVTYPE_MEDIAPLAYER, EVTYPE_MENUITEM_SELECT, EVTYPE_MENULOAD, EVTYPE_MESSAGE, EVTYPE_NAVBUTTONPRESS, EVTYPE_OBJECTHEADERICONINVOKE, EVTYPE_OBJECTHEADERINTROINVOKE, EVTYPE_OBJECTHEADERTITLEINVOKE, EVTYPE_OBJECTHEADERTITLESELECTORINVOKE, EVTYPE_OSMVIEWERSEELCTION, EVTYPE_PDFPRINTERNOTIFICATION, EVTYPE_POPUP_CLOSE, EVTYPE_POPUPMENULOAD, EVTYPE_QRCODESCAN, EVTYPE_RANGESELECTION, EVTYPE_RGRAPHPOINTSELECTION, EVTYPE_ROLLINGCONTAINERICONINVOKE, EVTYPE_SCAN, EVTYPE_SCENEJSCALLBACK, EVTYPE_SCHEDULE_SIZECHANGED, EVTYPE_SEARCH, EVTYPE_SENDIMAGE, EVTYPE_SLIDECONTAINER, EVTYPE_SUBPAGE_CLICK, EVTYPE_SUBPAGE_CLICKRIGHT, EVTYPE_SUGGESTION, EVTYPE_SVGELEMENTSELECTION, EVTYPE_TABCLOSE, EVTYPE_TILEDELETE, EVTYPE_TILEMOVE, EVTYPE_TOKENDELETE, EVTYPE_TOOLTIPENDED, EVTYPE_TOOLTIPSTARTED, EVTYPE_TREENODE_TOGGLE, EVTYPE_TRIPLEPANE, EVTYPE_VALIDATE, EVTYPE_WINDOWSIZECHANGED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseActionEventDrop(UIComponent component, java.lang.String type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkIfDroppedInZoneEdgesLeftBottom()`
    `boolean` | `checkIfDroppedInZoneEdgesLeftTop()`
    `boolean` | `checkIfDroppedInZoneEdgesRightBottom()`
    `boolean` | `checkIfDroppedInZoneEdgesRightTop()`
    `boolean` | `checkIfDroppedInZoneHorizontalsplitLeft()`
    `boolean` | `checkIfDroppedInZoneHorizontalsplitRight()`
    `boolean` | `checkIfDroppedInZoneSidesandcenterBottom()`
    `boolean` | `checkIfDroppedInZoneSidesandcenterCenter()`
    `boolean` | `checkIfDroppedInZoneSidesandcenterLeft()`
    `boolean` | `checkIfDroppedInZoneSidesandcenterRight()`
    `boolean` | `checkIfDroppedInZoneSidesandcenterTop()`
    `boolean` | `checkIfDroppedInZoneSidesBottom()`
    `boolean` | `checkIfDroppedInZoneSidesLeft()`
    `boolean` | `checkIfDroppedInZoneSidesRight()`
    `boolean` | `checkIfDroppedInZoneSidesTop()`
    `boolean` | `checkIfDroppedInZoneVerticalsplitBottom()`
    `boolean` | `checkIfDroppedInZoneVerticalsplitTop()`
    `int` | `getDeltaX()` This the delta of the rectangle that is moved while drag & dropping compared to the position of the mouse cursor.
    `int` | `getDeltaY()` This the delta of the rectangle that is moved while drag & dropping compared to the position of the mouse cursor.
    `java.lang.String` | `getDragInfo()` This is the information that was passed from the component from which the drag & drop was initiated.
    `int` | `getGridIndex()`
    `float` | `getPercentageDeltaX()` This is the "deltaX" value, now expressed as percentage figure - based on the width of the component on which the drop happened.
    `float` | `getPercentageDeltaY()` This is the "deltaY" value, now expressed as percentage figure - based on the height of the component on which the drop happened.
    `float` | `getPercentageHorizontaAsFloat()` Location of the drop position in percentages of the size of the component, on which the drop was executed.
    `int` | `getPercentageHorizontal()` Location of the drop position in percentages of the size of the component, on which the drop was executed.
    `int` | `getPercentageVertical()` Location of the drop position in percentages of the size of the component, on which the drop was executed.
    `float` | `getPercentageVerticalAsFloat()` Location of the drop position in percentages of the size of the component, on which the drop was executed.
    `int` | `getPixelX()` X-Pixel position of the drop position.
    `int` | `getPixelY()` Y-Pixel position of the drop position.

    - ### Methods inherited from class org.eclnt.jsfserver.elements.BaseActionEvent

      `getCommand, getEventInfo, getInternalReference, getOnlyCallIfObjectIsAvailable, getParams, getSourceComment, getSourceConfiginfo, getSourceReference, isImmediate, isPrior, readParam, setImmediate, setInternalReference, setOnlyCallIfObjectIsAvailable, setPrior`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseActionEventDrop

          public BaseActionEventDrop(UIComponent component,
                                     java.lang.String type)

  - ### Method Detail

    - #### getDragInfo

          public java.lang.String getDragInfo()

      This is the information that was passed from the component from which the drag & drop was initiated. Example: "article:4711".

    - #### getPercentageVertical

          public int getPercentageVertical()

      Location of the drop position in percentages of the size of the component, on which the drop was executed.

    - #### getPercentageHorizontal

          public int getPercentageHorizontal()

      Location of the drop position in percentages of the size of the component, on which the drop was executed.

    - #### getPercentageVerticalAsFloat

          public float getPercentageVerticalAsFloat()

      Location of the drop position in percentages of the size of the component, on which the drop was executed.

    - #### getPercentageHorizontaAsFloat

          public float getPercentageHorizontaAsFloat()

      Location of the drop position in percentages of the size of the component, on which the drop was executed.

    - #### getPixelX

          public int getPixelX()

      X-Pixel position of the drop position. This is the position of the mouse cursor.

    - #### getPixelY

          public int getPixelY()

      Y-Pixel position of the drop position. This is the position of the mouse cursor.

    - #### getDeltaX

          public int getDeltaX()

      This the delta of the rectangle that is moved while drag & dropping compared to the position of the mouse cursor. Typically the mouse cursor is picked within the component, e.g. at position x:20, y:20. "DeltaX" is "0" if the mouse cursor is positioned at the very top left by the user.

    - #### getDeltaY

          public int getDeltaY()

      This the delta of the rectangle that is moved while drag & dropping compared to the position of the mouse cursor. Typically the mouse cursor is picked within the component, e.g. at position x:20, y:20. "DeltaY" is "0" if the mouse cursor is positioned at the very top left by the user.

    - #### getGridIndex

          public int getGridIndex()

    - #### getPercentageDeltaX

          public float getPercentageDeltaX()

      This is the "deltaX" value, now expressed as percentage figure - based on the width of the component on which the drop happened.

    - #### getPercentageDeltaY

          public float getPercentageDeltaY()

      This is the "deltaY" value, now expressed as percentage figure - based on the height of the component on which the drop happened.

    - #### checkIfDroppedInZoneSidesTop

          public boolean checkIfDroppedInZoneSidesTop()

    - #### checkIfDroppedInZoneSidesBottom

          public boolean checkIfDroppedInZoneSidesBottom()

    - #### checkIfDroppedInZoneSidesLeft

          public boolean checkIfDroppedInZoneSidesLeft()

    - #### checkIfDroppedInZoneSidesRight

          public boolean checkIfDroppedInZoneSidesRight()

    - #### checkIfDroppedInZoneHorizontalsplitLeft

          public boolean checkIfDroppedInZoneHorizontalsplitLeft()

    - #### checkIfDroppedInZoneHorizontalsplitRight

          public boolean checkIfDroppedInZoneHorizontalsplitRight()

    - #### checkIfDroppedInZoneVerticalsplitTop

          public boolean checkIfDroppedInZoneVerticalsplitTop()

    - #### checkIfDroppedInZoneVerticalsplitBottom

          public boolean checkIfDroppedInZoneVerticalsplitBottom()

    - #### checkIfDroppedInZoneEdgesLeftTop

          public boolean checkIfDroppedInZoneEdgesLeftTop()

    - #### checkIfDroppedInZoneEdgesRightTop

          public boolean checkIfDroppedInZoneEdgesRightTop()

    - #### checkIfDroppedInZoneEdgesLeftBottom

          public boolean checkIfDroppedInZoneEdgesLeftBottom()

    - #### checkIfDroppedInZoneEdgesRightBottom

          public boolean checkIfDroppedInZoneEdgesRightBottom()

    - #### checkIfDroppedInZoneSidesandcenterTop

          public boolean checkIfDroppedInZoneSidesandcenterTop()

    - #### checkIfDroppedInZoneSidesandcenterBottom

          public boolean checkIfDroppedInZoneSidesandcenterBottom()

    - #### checkIfDroppedInZoneSidesandcenterLeft

          public boolean checkIfDroppedInZoneSidesandcenterLeft()

    - #### checkIfDroppedInZoneSidesandcenterRight

          public boolean checkIfDroppedInZoneSidesandcenterRight()

    - #### checkIfDroppedInZoneSidesandcenterCenter

          public boolean checkIfDroppedInZoneSidesandcenterCenter()

Copyright © CaptainCasa Gmbh. All Rights Reserved.